Bug 248273 - multimedia/makemkv: update to 1.15.2 and a few fixes/improvements
Summary: multimedia/makemkv: update to 1.15.2 and a few fixes/improvements
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-26 07:59 UTC by Felix Palmen
Modified: 2020-07-28 13:06 UTC (History)
0 users

See Also:
koobs: merge-quarterly?


Attachments
update to 1.15.2 (4.69 KB, patch)
2020-07-26 07:59 UTC, Felix Palmen
felix: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Palmen 2020-07-26 07:59:57 UTC
Created attachment 216773 [details]
update to 1.15.2

New upstream version 1.15.2:
- Massive internal rewrite, some improvements and small bugfixes
- Muxer updated to the latest matroska specification
- Advanced usage changes:
  * Sdftool included as standalone executable
  * Drive speed control option

Fixes/improvements in the port:
- Avoid double definition of LINUXTRIPLET
- Fix no-op `ldconfig` replacement
- Brandelf makemkvcon as "Linux"
- Avoid "automagic" dependency on isl
- Update statically linked ffmpeg to 4.3.1

Build tested successfully on {12.1,13}-amd64 and {11.3,12.1}-i386, other testbuilds still running

Functionality tested on 12.1-amd64

If you don't use a paid license key but the freely available "beta key", you are forced to upgrade eventually. This might be a reason for an MFH? I'm still trying to find out when exactly it will happen:
https://www.makemkv.com/forum/viewtopic.php?f=3&t=22706
Comment 1 Automation User 2020-07-26 10:45:43 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/170838256
Comment 2 Felix Palmen 2020-07-27 06:33:19 UTC
Comment on attachment 216773 [details]
update to 1.15.2

13-i386 and 11.3-amd64 aso built fine, so I think this is ready for commit :)
Comment 3 commit-hook freebsd_committer 2020-07-28 13:05:34 UTC
A commit references this bug:

Author: swills
Date: Tue Jul 28 13:05:00 UTC 2020
New revision: 543596
URL: https://svnweb.freebsd.org/changeset/ports/543596

Log:
  multimedia/makemkv: update to 1.15.2

  While here, a few fixes/improvements

  PR:		248273
  Submitted by:	Felix Palmen <felix@palmen-it.de> (maintainer)

Changes:
  head/multimedia/makemkv/Makefile
  head/multimedia/makemkv/distinfo
  head/multimedia/makemkv/pkg-plist
Comment 4 Steve Wills freebsd_committer 2020-07-28 13:06:06 UTC
Committed, thanks!